#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 15. Networking Programs

- Prev

  Samba-4.13.4

- Next

  Wireless Tools-29

- Up
- Home

# Wget-1.21.1

## Introduction to Wget

The Wget package contains a utility useful for non-interactive downloading of files from the Web.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/wget/wget-1.21.1.tar.gz

- Download (FTP): ftp://ftp.gnu.org/gnu/wget/wget-1.21.1.tar.gz

- Download MD5 sum: b939ee54eabc6b9b0a8d5c03ace879c9

- Download size: 4.6 MB

- Estimated disk space required: 76 MB (with tests)

- Estimated build time: 0.5 SBU (with tests)

### Wget Dependencies

#### Recommended

make-ca-1.7 (runtime)

#### Optional

GnuTLS-3.7.0, HTTP-Daemon-6.12 (for the test suite), IO-Socket-SSL-2.069 (for the test suite), libidn2-2.3.0, libpsl-0.21.1, PCRE-8.44 or pcre2-10.36, and Valgrind-3.16.1 (for the test suite)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/wget

## Installation of Wget

Install Wget by running the following commands:

    ./configure --prefix=/usr      \
                --sysconfdir=/etc  \
                --with-ssl=openssl &&
    make

To test the results, issue: make check.

HTTPS tests are known to fail if Perl module IO::Socket::INET6 is installed.

Now, as the `root` user:

    make install

## Command Explanations

`--sysconfdir=/etc`: This relocates the configuration file from `/usr/etc` to `/etc`.

`--with-ssl=openssl`: This allows the program to use openssl instead of GnuTLS-3.7.0.

`--enable-valgrind-tests`: This allows the tests to be run under valgrind.

## Configuring Wget

###

#### Config Files

`/etc/wgetrc` and `~/.wgetrc`

## Contents

Installed Program: wget
Installed Libraries: None
Installed Directories: None

### Short Descriptions

wget | retrieves files from the Web using the HTTP, HTTPS and FTP protocols. It is designed to be non-interactive, for background or unattended operations

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  Samba-4.13.4

- Next

  Wireless Tools-29

- Up
- Home